Bug 184506 - Update irc/bitlbee from 3.2_2 to 3.2.1
Summary: Update irc/bitlbee from 3.2_2 to 3.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Henrik Brix Andersen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-04 23:30 UTC by Jashank Jeremy
Modified: 2014-01-12 13:20 UTC (History)
0 users

See Also:


Attachments
file.diff (760 bytes, patch)
2013-12-04 23:30 UTC, Jashank Jeremy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jashank Jeremy 2013-12-04 23:30:00 UTC
BitlBee 3.2 has known issues with Twitter compatibility (cf https://dev.twitter.com/blog/deprecating-http-1.0-streaming-api). BitlBee 3.2.1 rectifies these problems (released 2013-11-28).  From changelog upstream:

> - Most important change: http_client updated to use HTTP/1.1, now required by Twitter.
> - fill_by setting can now be used to fill a channel contacts *not* in a certain group/on a certain account/etc. See "help set fill_by"
> - Added utf8_nicks setting which lets you use non-ASCII nicknames for your contacts. Might not work with all IRC clients, use at your own risk!
> - Lots of bugfixes.

Fix: Apply attached patch to update to 3.2.1 (resets PORTREVISION, no other changes known).

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-12-05 03:19:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->brix

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-01-12 13:15:10 UTC
Author: brix
Date: Sun Jan 12 13:15:02 2014
New Revision: 339502
URL: http://svnweb.freebsd.org/changeset/ports/339502

Log:
  - Update to v3.2.1
  - Add staging support
  - OTR requires GnuTLS support
  
  PR:		ports/182379, ports/184506

Modified:
  head/irc/bitlbee/Makefile
  head/irc/bitlbee/distinfo

Modified: head/irc/bitlbee/Makefile
==============================================================================
--- head/irc/bitlbee/Makefile	Sun Jan 12 13:07:50 2014	(r339501)
+++ head/irc/bitlbee/Makefile	Sun Jan 12 13:15:02 2014	(r339502)
@@ -1,8 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	bitlbee
-PORTVERSION=	3.2
-PORTREVISION=	2
+PORTVERSION=	3.2.1
 CATEGORIES=	irc
 MASTER_SITES=	http://get.bitlbee.org/src/ \
 		${MASTER_SITE_LOCAL}
@@ -34,7 +33,7 @@ OPTIONS_SINGLE_SSL=	OPENSSL GNUTLS
 OPTIONS_MULTI=		PROTO
 OPTIONS_MULTI_PROTO=	JABBER LIBPURPLE MSN OSCAR TWITTER YAHOO
 
-OTR_DESC=		Off-the-Record Messaging support
+OTR_DESC=		Off-the-Record Messaging support (Requires GnuTLS)
 LIBPURPLE_DESC=		Use libpurple for protocol support
 MSN_DESC=		Microsoft Messenger support
 OSCAR_DESC=		OSCAR (ICQ, AIM) support
@@ -48,9 +47,12 @@ CONFIGURE_ARGS=	--config=/var/db/bitlbee
 USERS=		bitlbee
 GROUPS=		bitlbee
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MOPENSSL} && ${PORT_OPTIONS:MOTR}
+IGNORE=Off-the-Record Messaging support requires GnuTLS support
+.endif
+
 .if ${PORT_OPTIONS:MDEBUG}
 CONFIGURE_ARGS+=--debug=1
 .else
@@ -129,14 +131,14 @@ post-patch:
 		${WRKSRC}/doc/bitlbee.8
 
 post-install:
-	${MKDIR} ${PREFIX}/etc/bitlbee
+	${MKDIR} ${STAGEDIR}/${PREFIX}/etc/bitlbee
 .if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${PORTDOCS:S@^@${WRKSRC}/doc/@} ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}/${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S@^@${WRKSRC}/doc/@} ${STAGEDIR}/${DOCSDIR}
 .endif
 .if ${PORT_OPTIONS:MEXAMPLES}
-	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${PORTEXAMPLES:S@^@${WRKSRC}/@} ${EXAMPLESDIR}
+	${MKDIR} ${STAGEDIR}/${EXAMPLESDIR}
+	${INSTALL_DATA} ${PORTEXAMPLES:S@^@${WRKSRC}/@} ${STAGEDIR}/${EXAMPLESDIR}
 .endif
 	@${CAT} ${PKGMESSAGE}
 

Modified: head/irc/bitlbee/distinfo
==============================================================================
--- head/irc/bitlbee/distinfo	Sun Jan 12 13:07:50 2014	(r339501)
+++ head/irc/bitlbee/distinfo	Sun Jan 12 13:15:02 2014	(r339502)
@@ -1,2 +1,2 @@
-SHA256 (bitlbee-3.2.tar.gz) = 1b43828e906f5450993353f2ebecc6c038f0261c4dc3f1722ebafa6ea3e62030
-SIZE (bitlbee-3.2.tar.gz) = 666404
+SHA256 (bitlbee-3.2.1.tar.gz) = 00f411dd7d6d28f30f0e73e46c9cbe88b4006e7f03adfe07b90a97280a290f59
+SIZE (bitlbee-3.2.1.tar.gz) = 657595
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Henrik Brix Andersen freebsd_committer 2014-01-12 13:16:17 UTC
State Changed
From-To: open->closed

Committed, thanks.